# 22. Virtuoso Functions Guide - tree_md5

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
tree_md5
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## tree_md5

returns MD5 checksum of array argument
string tree_md5 (in tree any);
Description

Returns a string of 16 characters representing the binary MD5 checksum of the argument. The argument can be any array or scalar.

Parameters
tree – String or string_session to be processed with MD5 algorithm.
Return Values

A string of 32 lower case hex digits that are the result of the MD5 algorithm used on the data argument.

Errors

Parameter data type checking errors